grails-app/domain/net/okjsp/SpamWord.groovy
package net.okjsp

class SpamWord {
    
    String text

    static constraints = {
    }
    
    static mapping = {
        cache true
    }
}

grails-app/controllers/net/okjsp/SpamWordController.groovy
package net.okjsp


import static org.springframework.http.HttpStatus.*
import grails.transaction.Transactional

@Transactional(readOnly = true)
class SpamWordController {

    static allowedMethods = [save: "POST", update: "PUT", delete: "DELETE"]

    def index(Integer max) {
        params.sort = params.sort ?: 'id'
        params.order = params.order ?: 'desc'
        params.max = max ?: 100
        respond SpamWord.list(params), model: [spamWordCount: SpamWord.count()]
    }

    def show(SpamWord spamWord) {
        respond spamWord
    }

    def create() {
        respond new SpamWord(params)
    }

    @Transactional
    def save(SpamWord spamWord) {
        if (spamWord == null) {
            notFound()
            return
        }

        if (spamWord.hasErrors()) {
            respond spamWord.errors, view: 'create'
            return
        }

        spamWord.save flush: true

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.created.message', args: [message(code: 'spamWord.label', default: 'SpamWord'), spamWord.id])
                redirect spamWord
            }
            '*' { respond spamWord, [status: CREATED] }
        }
    }

    def edit(SpamWord spamWord) {
        respond spamWord
    }

    @Transactional
    def update(SpamWord spamWord) {
        if (spamWord == null) {
            notFound()
            return
        }

        if (spamWord.hasErrors()) {
            respond spamWord.errors, view: 'edit'
            return
        }

        spamWord.save flush: true

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.updated.message', args: [message(code: 'SpamWord.label', default: 'SpamWord'), spamWord.id])
                redirect spamWord
            }
            '*' { respond spamWord, [status: OK] }
        }
    }

    @Transactional
    def delete(SpamWord spamWord) {

        if (spamWord == null) {
            notFound()
            return
        }

        spamWord.delete flush: true

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.deleted.message', args: [message(code: 'SpamWord.label', default: 'SpamWord'), spamWord.id])
                redirect action: "index", method: "GET"
            }
            '*' { render status: NO_CONTENT }
        }
    }

    protected void notFound() {
        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.not.found.message', args: [message(code: 'spamWord.label', default: 'SpamWord'), params.id])
                redirect action: "index", method: "GET"
            }
            '*' { render status: NOT_FOUND }
        }
    }
}

grails-app/views/spamWord/_form.gsp
<%@ page import="net.okjsp.SpamWord" %>



<div class="fieldcontain ${hasErrors(bean: spamWord, field: 'text', 'error')} required">
    <label for="text">
        <g:message code="spamWord.text.label" default="Text"/>
        <span class="required-indicator">*</span>
    </label>
    <g:textField name="text" required="" value="${spamWord?.text}"/>

</div>

grails-app/views/spamWord/create.gsp
<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="admin">
    <g:set var="entityName" value="${message(code: 'spamWord.label', default: 'SpamWord')}"/>
    <title><g:message code="default.create.label" args="[entityName]"/></title>
</head>

<body>
<a href="#create-spamWord" class="skip" tabindex="-1"><g:message code="default.link.skip.label"
                                                                 default="Skip to content&hellip;"/></a>

<div class="nav" role="navigation">
    <ul>
        <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
        <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]"/></g:link></li>
    </ul>
</div>

<div id="create-spamWord" class="content scaffold-create" role="main">
    <h1><g:message code="default.create.label" args="[entityName]"/></h1>
    <g:if test="${flash.message}">
        <div class="message" role="status">${flash.message}</div>
    </g:if>
    <g:hasErrors bean="${spamWord}">
        <ul class="errors" role="alert">
            <g:eachError bean="${spamWord}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message
                        error="${error}"/></li>
            </g:eachError>
        </ul>
    </g:hasErrors>
    <g:form url="[resource: spamWord, action: 'save']">
        <fieldset class="form">
            <g:render template="form"/>
        </fieldset>
        <fieldset class="buttons">
            <g:submitButton name="create" class="save"
                            value="${message(code: 'default.button.create.label', default: 'Create')}"/>
        </fieldset>
    </g:form>
</div>
</body>
</html>

grails-app/views/spamWord/edit.gsp
<%@ page import="net.okjsp.SpamWord" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="admin">
		<g:set var="entityName" value="${message(code: 'spamWord.label', default: 'SpamWord')}" />
		<title><g:message code="default.edit.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#edit-spamWord" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="edit-spamWord" class="content scaffold-edit" role="main">
			<h1><g:message code="default.edit.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<g:hasErrors bean="${spamWord}">
			<ul class="errors" role="alert">
				<g:eachError bean="${spamWord}" var="error">
				<li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
				</g:eachError>
			</ul>
			</g:hasErrors>
			<g:form url="[resource:spamWord, action:'update']" method="PUT" >
				<g:hiddenField name="version" value="${spamWord?.version}" />
				<fieldset class="form">
					<g:render template="form"/>
				</fieldset>
				<fieldset class="buttons">
					<g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>

grails-app/views/spamWord/index.gsp
<%@ page import="net.okjsp.SpamWord" %>
<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="admin">
    <g:set var="entityName" value="${message(code: 'spamWord.label', default: 'SpamWord')}"/>
    <title><g:message code="default.list.label" args="[entityName]"/></title>
</head>

<body>
<a href="#list-spamWord" class="skip" tabindex="-1"><g:message code="default.link.skip.label"
                                                               default="Skip to content&hellip;"/></a>

<div class="nav" role="navigation">
    <ul>
        <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
        <li><g:link class="create" action="create"><g:message code="default.new.label"
                                                              args="[entityName]"/></g:link></li>
    </ul>
</div>

<div id="list-spamWord" class="content scaffold-list" role="main">
    <h1><g:message code="default.list.label" args="[entityName]"/></h1>
    <g:if test="${flash.message}">
        <div class="message" role="status">${flash.message}</div>
    </g:if>
    <div>
        <ul class="spam-word-list clearfix">
        <g:each in="${spamWordList}" status="i" var="spamWord">

                <li><g:link action="show" id="${spamWord.id}">${fieldValue(bean: spamWord, field: "text")}</g:link></li>

        </g:each>
        </ul>
    </div>

    <div class="admin-pagination">
        <g:paginate total="${spamWordCount ?: 0}" class="pagination-sm"/>
    </div>
</div>
</body>
</html>

grails-app/views/spamWord/show.gsp
<%@ page import="net.okjsp.SpamWord" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="admin">
		<g:set var="entityName" value="${message(code: 'spamWord.label', default: 'SpamWord')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-spamWord" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-spamWord" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list spamWord">
			
				<g:if test="${spamWord?.text}">
				<li class="fieldcontain">
					<span id="text-label" class="property-label"><g:message code="spamWord.text.label" default="Text" /></span>
					
						<span class="property-value" aria-labelledby="text-label"><g:fieldValue bean="${spamWord}" field="text"/></span>
					
				</li>
				</g:if>
			
			</ol>
			<g:form url="[resource:spamWord, action:'delete']" method="DELETE">
				<fieldset class="buttons">
					<g:link class="edit" action="edit" resource="${spamWord}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>